prometheus-haproxy-exporter(1)

NAME
prometheus-haproxy-exporter - Prometheus exporter for HAProxy

SYNOPSIS

prometheus-haproxy-exporter [<flags>]

DESCRIPTION

OPTIONS

-h, --help
    Show context-sensitive help (also try --help-long and --help-man).

--web.config.file
    [EXPERIMENTAL] Path to configuration file that can enable TLS or authentication.

--web.listen-address
    Address to listen on for web interface and telemetry.

--web.telemetry-path
    Path under which to expose metrics.

--haproxy.scrape-uri
    URI on which to scrape HAProxy.

--haproxy.ssl-verify
    Flag that enables SSL certificate verification for the scrape URI

--haproxy.server-metric-fields
    Comma-separated list of exported server metrics. See http://cbonte.github.io/haproxy-dconv/configuration-1.5.html#9.1

--haproxy.server-exclude-states
    Comma-separated list of exported server states to exclude. See https://cbonte.github.io/haproxy-dconv/1.8/management.html#9.1, field 17 statuus

--haproxy.timeout=5s
    Timeout for trying to get stats from HAProxy.

--haproxy.pid-file
    Path to HAProxy pid file.

        If provided, the standard process metrics get exported for the HAProxy
        process, prefixed with 'haproxy_process_...'. The haproxy_process exporter
        needs to have read access to files owned by the HAProxy process. Depends on
        the availability of /proc.

        https://prometheus.io/docs/instrumenting/writing_clientlibs/#process-metrics.

--log.level=info
    Only log messages with the given severity or above. One of: [debug, info, warn, error]

--log.format=logfmt
    Output format of log messages. One of: [logfmt, json]

--version
    Show application version.